clc
clear variables


succ = 0;
fc = 0;

% options = optimset('Display','iter','Algorithm','active-set');
options = optimset('Display','off','Algorithm','active-set');

names = { 'F1', 'F3', 'Branin', 'Camelback', 'Goldprice', 'PShubert1', 'PShubert2', 'Quartic', 'Shubert', 'Hartman1', 'Shekel1', 'Shekel2', 'Shekel3', 'Hartman2', 'Hosc45', 'Brown1', 'Brown3', 'F5n', 'F10n', 'F15n' }

for j=19:size(names,2)
    configfile = sprintf( 'functions-0.0.2/%sconfig', cell2mat(names(j)) )
    run( configfile )
    foutfile = sprintf( '%s.out', Name );
    fout = fopen( foutfile, 'w' );
    for i=1:100
        x0 = rand(1,Dim).*(ub-lb)+lb;
        [x,fval,exitflag,output] = fmincon(F,x0,[],[],[],[],lb,ub,[], options); 
        fc = output.funcCount;
        start = 1;
        best = fval;
        while fc < 2000000 && best-opt>Prec
            x0 = rand(1,Dim).*(ub-lb)+lb;
            [x,fval,exitflag,output] = fmincon(F,x0,[],[],[],[],lb,ub,[],options);
            start = start + 1;
            fc = fc + output.funcCount;
            if fval < best
                best = fval;
                display( sprintf( '%d %d %g\n', start, fc, best ));
            end
        end
	 fprintf( fout, '%d %g %d\n', fc, best, start );
    end
    fclose( fout );
end